( cd usr/lib64 ; rm -rf libgpilotdconduit.so )
( cd usr/lib64 ; ln -sf libgpilotdconduit.so.2.0.4 libgpilotdconduit.so )
( cd usr/lib64 ; rm -rf libgpilotdcm.so.2 )
( cd usr/lib64 ; ln -sf libgpilotdcm.so.2.1.0 libgpilotdcm.so.2 )
( cd usr/lib64 ; rm -rf libgpilotd.so.2 )
( cd usr/lib64 ; ln -sf libgpilotd.so.2.2.0 libgpilotd.so.2 )
( cd usr/lib64 ; rm -rf libgpilotdcm.so )
( cd usr/lib64 ; ln -sf libgpilotdcm.so.2.1.0 libgpilotdcm.so )
( cd usr/lib64 ; rm -rf libgpilotdconduit.so.2 )
( cd usr/lib64 ; ln -sf libgpilotdconduit.so.2.0.4 libgpilotdconduit.so.2 )
( cd usr/lib64 ; rm -rf libgpilotd.so )
( cd usr/lib64 ; ln -sf libgpilotd.so.2.2.0 libgpilotd.so )

if [ -x usr/bin/gconftool-2 ]; then
GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults"     usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/pilot.schemas >/dev/null 2>&1
fi
# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop database
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi
